/*
 * Copyright 2017 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.call.lib;

/**
 * Class VMSCodes has all the item codes and other input values for system services and RTL functions.
 * 
 * See VMS documentation for semantics.
 */
public class VMSCodes {
	/* DVI codes */
	public static final int DVI$_DEVTYPE = 6;
	public static final int DVI$_ERRCNT = 20;
	public static final int DVI$_MAXBLOCK = 26;
	public static final int DVI$_VOLNAM = 34;
	public static final int DVI$_FREEBLOCKS = 42;
	/* JPI codes */
	public static final int JPI$_PRI = 770;
	public static final int JPI$_UIC = 772;
	public static final int JPI$_STATE = 774;
	public static final int JPI$_PID = 793;
	public static final int JPI$_PRCNAM = 796;
	public static final int JPI$_TERMINAL = 797;
	public static final int JPI$_NODENAME = 809;
	public static final int JPI$_CURPRIV = 1024;
	public static final int JPI$_CPUTIM = 1031;
	public static final int JPI$_DIRIO = 1035;
	public static final int JPI$_BUFIO = 1036;
	public static final int JPI$_WSSIZE = 1041;
	public static final int JPI$_USERNAME = 514;
	public static final int JPI$_LOGINTIM = 518;
	public static final int JPI$_IMAGNAME = 519;
	/* PSCAN codes */
	public static final int PSCAN$_MASTER_PID = 9;
	public static final int PSCAN$_NODENAME = 13;
	public static final int PSCAN$_OWNER = 14;
	public static final int PSCAN$_PRCNAM = 16;
	public static final int PSCAN$_TERMINAL = 21;
	public static final int PSCAN$_USERNAME = 23;
	/* PSCAN flags */
	public static final int PSCAN$M_WILDCARD = 0x100;
	/* UAI codes */
	public static final int UAI$_USERNAME = 4;
	public static final int UAI$_UIC = 6;
	public static final int UAI$_ACCOUNT = 11;
	public static final int UAI$_OWNER = 12;
	public static final int UAI$_DEFDEV = 13;
	public static final int UAI$_DEFDIR = 14;
	public static final int UAI$_PWD = 18;
	public static final int UAI$_LOGFAILS = 20;
	public static final int UAI$_SALT = 21;
	public static final int UAI$_ENCRYPT = 22;
	public static final int UAI$_PWD_DATE = 27;
	public static final int UAI$_PRIV = 31;
	public static final int UAI$_DEF_PRIV = 32;
	public static final int UAI$_PRI = 47;
	public static final int UAI$_MAXJOBS = 49;
	public static final int UAI$_PRCCNT = 52;
	public static final int UAI$_WSQUOTA = 60;
	public static final int UAI$_WSEXTENT = 62;
	public static final int UAI$_PGFLQUOTA = 63;
	/* LBR codes */
	public static final int LBR$C_CREATE = 0;
	public static final int LBR$C_READ = 1;
	public static final int LBR$C_UPDATE = 2;
	public static final int LBR$C_TYP_OBJ = 1;
	public static final int LBR$C_TYP_MLB = 2;
	public static final int LBR$C_TYP_HLP = 3;
	public static final int LBR$C_TYP_TXT = 4;
	/* control keys */
	public static final int LIB$M_CLI_CTRLT = 0x00100000;
	public static final int LIB$M_CLI_CTRLY = 0x02000000;
	/* symbol types */
	public static final int LIB$K_CLI_LOCAL_SYM = 1;
	public static final int LIB$K_CLI_GLOBAL_SYM = 2;
	/* float types */
	public static final int LIB$K_VAX_F = 0;
	public static final int LIB$K_VAX_D = 1;
	public static final int LIB$K_VAX_G = 2;
	public static final int LIB$K_VAX_H = 3;
	public static final int LIB$K_IEEE_S = 4;
	public static final int LIB$K_IEEE_T = 5;

}
