/*
 * Copyright 2017 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.call.test;

import java.util.List;
import java.util.Map;

import static org.junit.Assert.*;

import org.junit.Test;

import static dk.vajhoej.vms.call.lib.VMSStatus.*;

import dk.vajhoej.vms.call.VMSLibrary.Result;
import dk.vajhoej.vms.call.script.SYS_Script;

public class TestSYS_Script extends BaseTest {
	@Test
	public void testGETJPI() {
        try {
            Result<Map<String,Object>> sres = SYS_Script.SYS$GETJPIW(0, new String[] { "PID", "USERNAME", "PRCNAM", "IMAGNAME" });
            assertVMSCall("GETJPIW 0", sres.getStatus(), sres.getResult());
        } catch(Exception ex) {
        	fail("Unexpected exception: " + ex);
        }
	}
	@Test
	public void testSCANandGETJPI() {
        try {
        	List<Map<String,Object>> res = SYS_Script.SYS$PROCESS_SCAN_and_SYS$GETJPIW_AsList("USERNAME", "*", new String[] { "PID", "USERNAME", "PRCNAM", "IMAGNAME" });
            assertVMSCall("PROCESS_SCAN and GETJPIW USERNAME=*", SS$_SNORMAL, res);
        } catch(Exception ex) {
        	fail("Unexpected exception: " + ex);
        }
	}
}
